# $Revision: 1.26 $, $Date: 2007/01/23 15:47:01 $
%define		mod_name	access_referer
%define 	apxs		%{_sbindir}/apxs1
Summary:	Access control based on "Referer" HTTP header content
Summary(pl):	Kontrola dostpu bazujca na zawartoci standardowego nagwka HTTP "REFERER"
Name:		apache1-mod_%{mod_name}
Version:	1.0.2
Release:	4
License:	Apache Group
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/accessreferer/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	f1726cfe5965eda1bdca90b8db475377
Patch0:		http://dl.sourceforge.net/accessreferer/mod_access_referer_1.0.2_third_part_patch.txt
URL:		http://sourceforge.net/projects/accessreferer/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_access_referer <= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is an module for the Apache HTTP Server that provides access
control based on "Referer" HTTP header content.

%description -l pl
Modu ten pozwala na kontrolowanie dostpu do plikw na serwerze w
zalenoci od zawartoci standardowego nagwka HTTP - "REFERER"

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p0

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}
install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' \
	> $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- %{name} < 1.0.2-2.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog HACKING *.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_access_referer.spec,v $
Revision 1.26  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.25  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.24  2006/04/02 14:19:27  glen
- use %service

Revision 1.23  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.22  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.21  2005/02/15 11:59:25  glen
- rel 3; STBR

Revision 1.20  2005/02/10 01:50:14  glen
- confdir enabled apache1
- typo

Revision 1.19  2004/08/29 17:19:14  radek
- release 2: Name =~ s/apache/apache1/

Revision 1.18  2004/08/29 17:15:22  radek
- mv apache{,1}-mod_access_referer.spec, release 1, %doc HACKING & *.html

Revision 1.17  2003/08/06 16:10:22  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.16  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/09 20:49:50  kloczek
- release 6: security fix
- apply patch from: http://dl.sourceforge.net/sourceforge/accessreferer/mod_access_referer_1.0.2_third_part_patch.txt
  Comment from this file:

  mod_access_referer contains a null-pointer dereferences vulnerability that
  may possibly be used in denial of service attacks. While the impact of
  this vulnerability is considered low-risk, we advise you to apply the
  following patch

  Thans to Niels Heinen <zillion@safemode.org> for inform about this fix.

Revision 1.13  2003/02/25 11:18:19  qboosh
- working Source URL

Revision 1.12  2002/08/18 11:48:59  kloczek
- release 5.

Revision 1.11  2002/08/18 11:44:21  blues
- license fix

Revision 1.10  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.9  2002/08/12 12:34:42  grzegorz
- typo in %preun
- correct License field
- don't gzip doc's
- rel 4 STBR

Revision 1.8  2002/05/07 22:02:04  marcus
- fixed apxs path

Revision 1.7  2002/04/25 15:44:55  arturs
- fixed a small typo

Revision 1.6  2002/04/23 08:39:44  arturs
- License field change

Revision 1.5  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/17 21:02:52  ankry
- release 2

Revision 1.3  2002/02/17 18:52:19  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.2  2002/01/18 02:12:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/27 08:40:55  qboosh
- renamed apache-mod_access_referer_spec to apache-mod_access_referer.spec

Revision 1.2  2001/12/26 13:34:24  grzegorz
- added %description
- cosmetics

Revision 1.1  2001/12/26 13:25:55  grzegorz
- PLD initial spec
